{
  "name": "wx_video",
  "project": "videoods",
  "comment": "视频表",
  "columns": [
    {
      "name": "id",
      "type": "BIGINT",
      "comment": "主键编号，取值来源为redis分布式主键"
    },
    {
      "name": "uid",
      "type": "BIGINT",
      "comment": "用户编号，用户信息表中的uid字段"
    },
    {
      "name": "title",
      "type": "STRING",
      "comment": "标题"
    },
    {
      "name": "video_path",
      "type": "STRING",
      "comment": "视频地址"
    },
    {
      "name": "cover_img_path",
      "type": "STRING",
      "comment": "封面图片地址"
    },
    {
      "name": "self_cover_img_path",
      "type": "STRING",
      "comment": "自定义封面图片地址"
    },
    {
      "name": "share_moment_img_path",
      "type": "STRING",
      "comment": "分享到朋友圈的图片保存地址"
    },
    {
      "name": "qrimg_path",
      "type": "STRING",
      "comment": "pc端生成二维码的保存路径"
    },
    {
      "name": "width",
      "type": "BIGINT",
      "comment": ""
    },
    {
      "name": "height",
      "type": "BIGINT",
      "comment": ""
    },
    {
      "name": "cover_img_width",
      "type": "BIGINT",
      "comment": ""
    },
    {
      "name": "cover_img_height",
      "type": "BIGINT",
      "comment": ""
    },
    {
      "name": "play_count",
      "type": "BIGINT",
      "comment": "播放次数，去重"
    },
    {
      "name": "play_count_total",
      "type": "BIGINT",
      "comment": "被播放总次数，不去重"
    },
    {
      "name": "share_count",
      "type": "BIGINT",
      "comment": "分享次数，去重"
    },
    {
      "name": "share_count_total",
      "type": "BIGINT",
      "comment": "被分享到朋友圈总次数，不去重"
    },
    {
      "name": "reported_count",
      "type": "BIGINT",
      "comment": "被举报次数"
    },
    {
      "name": "share_count_friend",
      "type": "BIGINT",
      "comment": "微信分享给朋友的次数，不去重"
    },
    {
      "name": "share_count_friend_total",
      "type": "BIGINT",
      "comment": "被分享给微信好友的总次数，不去重"
    },
    {
      "name": "favoriteds",
      "type": "BIGINT",
      "comment": "视频被收藏的次数"
    },
    {
      "name": "total_time",
      "type": "BIGINT",
      "comment": "视频时长"
    },
    {
      "name": "rotate",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "bit_rate",
      "type": "BIGINT",
      "comment": "比率"
    },
    {
      "name": "transcode_status",
      "type": "BIGINT",
      "comment": "转码状态(1：发送转码失败，2：转码中，3：转码完成，4：转码失败)"
    },
    {
      "name": "transcode_done_datetime",
      "type": "DATETIME",
      "comment": "转码完成时间"
    },
    {
      "name": "request_id",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "job_id",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "transed_video_path",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "gmt_create",
      "type": "DATETIME",
      "comment": "创建时间"
    },
    {
      "name": "changed_by",
      "type": "BIGINT",
      "comment": "由谁修改"
    },
    {
      "name": "gmt_modified",
      "type": "DATETIME",
      "comment": "最后修改时间"
    },
    {
      "name": "gmt_create_timestamp",
      "type": "BIGINT",
      "comment": "创建时间戳，用来排序和分页查询"
    },
    {
      "name": "gmt_modified_timestamp",
      "type": "BIGINT",
      "comment": "最后修改时间戳，用来排序和分页查询"
    },
    {
      "name": "version",
      "type": "BIGINT",
      "comment": "数据版本号，用来做版本控制和乐观锁"
    },
    {
      "name": "status",
      "type": "BIGINT",
      "comment": "数据状态，1有效，2 已删除，3 已屏蔽,4关注可见，5分享可见，6自己可见"
    },
    {
      "name": "system",
      "type": "STRING",
      "comment": "发送视频时的操作系统"
    },
    {
      "name": "file_extensions",
      "type": "STRING",
      "comment": "视频后缀名"
    },
    {
      "name": "examine_status",
      "type": "BIGINT",
      "comment": "审核状态（0：上传未审，1：上传已审）"
    },
    {
      "name": "content_md5",
      "type": "STRING",
      "comment": "原视频的md5"
    },
    {
      "name": "size",
      "type": "BIGINT",
      "comment": "原文件大小"
    },
    {
      "name": "code_name",
      "type": "STRING",
      "comment": "原文件编码格式"
    },
    {
      "name": "video_collection_id",
      "type": "BIGINT",
      "comment": "用户的视频集编号"
    },
    {
      "name": "recommend_status",
      "type": "BIGINT",
      "comment": "推荐状态（0：未推荐，-6：待推荐，1：普通推荐，10：编辑推荐,-7:可搜索）"
    },
    {
      "name": "tag_count",
      "type": "BIGINT",
      "comment": "标签个数"
    },
    {
      "name": "stage_recommend_examine_status",
      "type": "BIGINT",
      "comment": "待推荐审核状态（0：待推荐未审，1：待推荐已审）"
    },
    {
      "name": "sensitive_status",
      "type": "BIGINT",
      "comment": "内容敏感状态（0：未检验，1：不敏感，2：敏感，3：敏感已审）"
    },
    {
      "name": "is_foreogn_bucket",
      "type": "BIGINT",
      "comment": "是否是存放在境外bucket,针对境外用户上传后转码前的地址"
    }
  ],
  "partition_keys": [],
  "dataworks_tasks": [
    {
      "id": 1000416062,
      "name": "imp.wx_video.wx_video"
    },
    {
      "id": 1000416062,
      "name": "imp.wx_video.wx_video"
    }
  ],
  "upstream_tables": []
}